Package twisted :: Package protocols :: Package gps :: Module rockwell :: Class Zodiac

[show private | hide private]
[frames | no frames]

## Class Zodiac

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      Zodiac

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| `dataReceived(self, recd)`
| `decode_channelmeas(self, message)`
| `decode_channels(self, message)`
| `decode_dgps(self, message)`
| `decode_ecef(self, message)`
| `decode_eepromstatus(self, message)`
| `decode_eepromupdate(self, message)`
| `decode_fix(self, message)`
| `decode_id(self, message)`
| `decode_meastimemark(self, message)`
| `decode_satellites(self, message)`
| `decode_serial(self, message)`
| `decode_testresults(self, message)`
| `decode_usersettings(self, message)`
| `decode_utctimemark(self, message)`
| `receivedMessage(self, msg_id, message, acknak)`

Class Variable Summary
`int` | `allow_earthmate_hack`
`dictionary` | `dispatch`
`int` | `MAX_LENGTH`
`dictionary` | `messages`
`string` | `recvd`

Class Variable Details

### allow_earthmate_hack

  Type:
    `int`
  Value:

        1

### dispatch

  Type:
    `dictionary`
  Value:

        {1000: 'fix',
         1001: 'ecef',
         1002: 'channels',
         1003: 'satellites',
         1005: 'dgps',
         1007: 'channelmeas',
         1011: 'id',
         1012: 'usersettings',
        ...

### MAX_LENGTH

  Type:
    `int`
  Value:

        296

### messages

  Type:
    `dictionary`
  Value:

        {'altinput': 1219,
         'antenna': 1218,
         'appctl': 1220,
         'dgpsc': 1214,
         'dgpsd': 1351,
         'fix': 1200,
         'mdatum': 1211,
         'msgctl': 1331,
        ...

### recvd

  Type:
    `string`
  Value:

        ''

Generated by Epydoc 1.1 on Sat Feb 15 21:18:00 2003 | http://epydoc.sf.net